Subject: Re: [PATCH net-next 09/10] net/mlx4_en: Manage flow steering rules with ethtool

From: Or Gerlitz <[email-masked]>
Date: Tue, 3 Jul 2012 11:58:36 +0300

On 7/3/2012 4:47 AM, Ben Hutchings wrote:
>> Under this logic, we can use the values and not the masks, isn't that?
> No, it's perfectly valid to specify a filter that matches, for example,
> a destination IP address of 0.0.0.0 with mask of 255.255.255.255.  So
> you really need to check the mask.  If your filter hardware doesn't
> support zero values for some fields then you'll need to reject them in
> mlx4_en_validate_flow.

Got it, will change to use masks all over the place, as you pointed out 
we need to do.